{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <h3 class="h3 mb-3 font-weight-normal">Vous devez vous connecter pour accéder à vos listes de courses</h3>
    <label for="inputEmail">Email</label>
    <input value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
    
    <label for="inputPassword">Mot de passe</label>
    <input type="password" name="password" id="inputPassword" class="form-control" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    <div class="checkbox mb-3">
        <label>
            <input type="checkbox" name="_remember_me"> Se souvenir de moi
        </label>
    </div>

    <div class="float-right">
        <button class="btn btn-sm btn-primary" type="submit">
            Connexion
        </button>
        <a class="btn btn-sm btn-dark" href="{{ path('app_inscription') }}">S'inscrire</a>
    </div>
    
</form>
{% endblock %}
